---
updatedAt: 2026-05-22T18:36:24.000Z
agentTools:
  siteIndex: https://docs.cielo.com.br/llms.txt
  projectIndex: https://docs.cielo.com.br/split/llms.txt
---

# Alterar a data do próximo pagamento

> ⚠️ Esta operação modifica somente a data do pagamento seguinte, ou seja, as recorrências futuras permanecerão com as características originais.

## Requisição

| Ambiente | Método                                                                                                                                                                                                                | Endpoint                                                                                                 |
| :------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------- |
| Sandbox  | <div class="headline-container-article-info2GaOf2jMpV0r"><span class="rm-APIMethod APIMethod APIMethod_fixedWidth APIMethod_put headline-container-api-method1Hc-Fm7uaccR" data-testid="http-method">put</span></div> | `https://apisandbox.cieloecommerce.cielo.com.br/1/RecurrentPayment/{RecurrentPaymentId}/NextPaymentDate` |
| Produção | <div class="headline-container-article-info2GaOf2jMpV0r"><span class="rm-APIMethod APIMethod APIMethod_fixedWidth APIMethod_put headline-container-api-method1Hc-Fm7uaccR" data-testid="http-method">put</span></div> | `https://api.cieloecommerce.cielo.com.br/1/RecurrentPayment/{RecurrentPaymentId}/NextPaymentDate`        |

`--header "Authorization: Bearer {access_token}"`

```json
"2035-06-15"
```
```shell
--request PUT "https://apisandbox.cieloecommerce.cielo.com.br/1/RecurrentPayment/{RecurrentPaymentId}/NextPaymentDate"
--header "Content-Type: application/json"
--header 'Bearer: {access_token}'
--data-binary
"2034-06-15"
--verbose
```

**Parâmetro do header**

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Propriedade
      </th>

      <th style={{ textAlign: "left" }}>
        Tipo
      </th>

      <th style={{ textAlign: "left" }}>
        Tamanho
      </th>

      <th style={{ textAlign: "left" }}>
        Obrigatório
      </th>

      <th style={{ textAlign: "left" }}>
        Descrição
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Authorization <br /> Bearer:`access_token`
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        --
      </td>

      <td style={{ textAlign: "left" }}>
        Sim
      </td>

      <td style={{ textAlign: "left" }}>
        Token de acesso. <br />  
        Informe o `access_token` obtido para a autenticação [OAuth2](https://docs.cielo.com.br/split/reference/token-acesso)
      </td>
    </tr>
  </tbody>
</Table>

**Parâmetro do body**

| Propriedade       | Tipo  | Tamanho | Obrigatório | Descrição                                 |
| ----------------- | ----- | ------- | ----------- | ----------------------------------------- |
| `NextPaymentDate` | Texto | 10      | Sim         | Data de pagamento da próxima recorrência. |

## Resposta

```shell
HTTP Status 200
```

<br />

> Consulte a lista de códigos de [status HTTP](https://docs.cielo.com.br/ecommerce-cielo/reference/codigos-http) para ver todos os códigos possivelmente retornados pela API.